View Issue Details

IDProjectCategoryView StatusLast Update
0016022ScribusUser Interfacepublic2020-04-05 19:37
Reporterjdb Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSArch LinuxOS Version
Product Version1.5.5 
Target VersionFixed in Version1.5.6.svn 
Summary0016022: Changing icon set requires restarting Scribus
DescriptionChanging the icon set type requires a restart of Scribus.

Expected behaviour would be to have the icons change without requiring a restart, or prompt the user that a restart is required.
Steps To Reproduce1. Change icon set in preferences
2. Hit apply
Additional InformationBug 0015753 refers to this problem. While it isn't necessarily a bug as it works as expected after restart, it otherwise gives the user the impression that the feature does not work at all.

The user experience for those using a dark theme, which Scribus will inherit by default on some platforms, is lacking as *most* of the icons in the toolbar are barely visible.
TagsNo tags attached.
PatchNo

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-12-28 05:51 jdb New Issue
2020-02-25 19:43 jghali Summary Changing icon set require restart of Scribus => Changing icon set requires restarting Scribus
2020-02-25 20:01 jghali Assigned To => jghali
2020-02-25 20:01 jghali Status new => resolved
2020-02-25 20:01 jghali Resolution open => fixed
2020-02-25 20:01 jghali Fixed in Version => 1.5.6.svn
2020-04-05 19:37 cbradney Status resolved => closed